Error installing cPanel Addons Software WHMCS

Operating System & Version
CloudLinux 7.9
cPanel & WHM Version
96.0.14

mlopez

Well-Known Member
Dec 17, 2020
54
7
8
Maldonado - Uruguay
cPanel Access Level
Root Administrator
Twitter
Hello,

When trying to install WHM through Home »cPanel »Install cPAddons Site Software I get this error:

Code:
Installing “cPanel::Automation::WHMCS” …

Installing cPAddon RPM …
Building version dependent dependencies.
(...)
Loaded plugins: rhnplugin, universal-hooks
This system is receiving updates from CLN.
Resolving Dependencies
--> Running transaction check
---> Package whmcs-cpaddon.noarch 0:7.8.3-3.2 will be installed
---> Package whmcs-cpaddon-php56.noarch 0:7.8.3-3.2 will be installed
--> Processing Dependency: ea-php56-php-ioncube10 for package: whmcs-cpaddon-php56-7.8.3-3.2.noarch
--> Running transaction check
---> Package ea-php56-php-ioncube10.x86_64 1:10.4.5-2.el7.cloudlinux will be installed
--> Processing Conflict: 1:ea-php56-php-ioncube10-10.4.5-2.el7.cloudlinux.x86_64 conflicts ea-php56-php-ioncube
--> Finished Dependency Resolution
Error: ea-php56-php-ioncube10 conflicts with 1:ea-php56-php-ioncube-4.7.5-7.el7.cloudlinux.x86_64
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
(XID jxggu8) “/usr/bin/yum” reported error code “1” when it ended:
Error: The RPM installation failed.
What am I doing wrong?



Thank you in advance.
 

HostNoc

Well-Known Member
Feb 20, 2020
93
17
8
Ontario
cPanel Access Level
Root Administrator
Hello, as you can see that there is a conflict in PHP-ioncube, you can disable ea-php56-php-ioncube10 from easyapache and then try again.

Let us know if this work for you.
 
  • Like
Reactions: mlopez

mlopez

Well-Known Member
Dec 17, 2020
54
7
8
Maldonado - Uruguay
cPanel Access Level
Root Administrator
Twitter
Hello, as you can see that there is a conflict in PHP-ioncube, you can disable ea-php56-php-ioncube10 from easyapache and then try again.

Let us know if this work for you.
Great, @HostNoc!

I removed PHP-Ioncube for php56, then tried the WHMCS installation again and it worked.
Thank you for your help.

Regards